Zoom to layer extent does not take into account labels

2011-08-10 09:13 PM - mattwigway .

Status: Closed

Priority: Low

Assignee:

Category: Vectors

Affected QGIS version: Regression?: No

Operating System: Easy fix?: No

Pull Request or Patch supplied:No Resolution: invalid

Crashes QGIS or corrupts data: Copied to github as #: 14135

Description

If you have labeling turned on and right-click on the layer and choose 'Zoom to layer extent', the labels may be cut off, as they are not

included in the extent calculation. (To be clear, this is using the PAL labeling in Layer -> Labeling.)

I'm not sure this is even a bug, but it does seem slightly counterintuitive.

History

#1 - 2011-10-07 05:22 AM - Giovanni Manghi

- OS version deleted (15/QGIS 1.7)

- Operating System deleted (Linux/Fedora)

- Status changed from Open to Feedback

Extent is computed using geometries bounding boxes, I can't see how labels (both old or new ones) can be taken into account. Please leave feedback.

#2 - 2011-10-07 07:27 PM - mattwigway .

Yeah, I kind of figured that was the case. And, now that I think about it, I'm not even sure that would be desirable in all instances.

I think we can close this issue (I evidently don't have permission to do it myself).

#3 - 2011-10-07 07:30 PM - Nathan Woodrow

- Resolution set to invalid

- Status changed from Feedback to Closed
